CVE-2006-1590
CVSS4.3
发布时间 :2006-04-03 06:04:00
修订时间 :2011-03-07 21:33:23
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in the PrintFreshPage function in (1) Basic Analysis and Security Engine (BASE) 1.2.4 and (2) Analysis Console for Intrusion Databases (ACID) 0.9.6b23 allows remote attackers to inject arbitrary web script or HTML via the (a) back parameter to base_graph_main.php, (b) netmask parameter to base_stat_ipaddr.php, or (c) submit parameter to base_qry_alert.php within BASE, or (d) query string to acid_main.php in ACID, which causes the request URI ($_SERVER['REQUEST_URI']) to be inserted into a refresh operation.


[CNNVD]Basic Analysis and Security Engine rintFreshPage 跨站脚本漏洞(CNNVD-200604-027)

        通过BASE中的(a)到base_graph_main.php的back参数,(b)到base_stat_ipaddr.php的netmask参数,或者(c)到base_qry_alter.php的submit参数,或者(d)ACID中到acid_main.php的query字符串,(1)基本分析和安全引擎(BASE)1.2.4和(2)入侵数据库的分析控制台(ACID)0.9.6b23可让远程攻击者注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.2.0
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:0.9.9
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:0.9.8
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.0.1
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.1
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.1.3
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.2.4
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.1.2
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:0.9.7.1
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:0.9.7
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.0.2
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.2.2
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.2.1
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.1.4
cpe:/a:kevin_johnson:basic_analysis_and_security_engine:1.0
cpe:/a:roman_danyliw:analysis_console_for_intrusion_databases_%28acid%29:0.9.6b23

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1590
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1590
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-027
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1264
(UNKNOWN)  VUPEN  ADV-2006-1264
http://www.osvdb.org/24307
(UNKNOWN)  OSVDB  24307
http://www.osvdb.org/20835
(UNKNOWN)  OSVDB  20835
http://sourceforge.net/mailarchive/forum.php?thread_id=10064470&forum_id=42223
(UNKNOWN)  MLIST  [secureideas-base-devel] 20060328 3 XSS in BASE 1.2.4
http://xforce.iss.net/xforce/xfdb/25671
(UNKNOWN)  XF  base-multiple-scripts-xss(25671)
http://www.securityfocus.com/bid/17391
(UNKNOWN)  BID  17391
http://secunia.com/advisories/19544
(UNKNOWN)  SECUNIA  19544

- 漏洞信息

Basic Analysis and Security Engine rintFreshPage 跨站脚本漏洞
中危 跨站脚本
2006-04-03 00:00:00 2006-04-03 00:00:00
远程  
        通过BASE中的(a)到base_graph_main.php的back参数,(b)到base_stat_ipaddr.php的netmask参数,或者(c)到base_qry_alter.php的submit参数,或者(d)ACID中到acid_main.php的query字符串,(1)基本分析和安全引擎(BASE)1.2.4和(2)入侵数据库的分析控制台(ACID)0.9.6b23可让远程攻击者注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.secureideas.net/
        

- 漏洞信息

20835
Basic Analysis and Security Engine (BASE) $_SERVER['REQUEST_URI'] XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Basic Analysis and Security Engine (BASE) contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate $_SERVER['REQUEST_URI'] variable upon submission to the PrintFreshPage() function. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-29 Unknow
2006-03-29 Unknow

- 解决方案

Upgrade to cvs version or version 1.2.5 (daiga) or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Basic Analysis and Security Engine PrintFreshPage Cross-Site Scripting Vulnerability
Input Validation Error 17391
Yes No
2006-04-06 12:00:00 2006-04-06 07:08:00
Adam Ely is credited with the discovery of this vulnerability.

- 受影响的程序版本

BASE Basic Analysis and Security Engine 1.2.4

- 漏洞讨论

BASE is prone to a cross-site scripting vulnerability. The application fails to properly sanitize user-supplied input in the 'PrintFreshPage' function.

An attacker may leverage this issue to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

This issue affects version 1.2.4; other versions may also be vulnerable.

- 漏洞利用



This issue can be exploited through a web client.

The following proof-of-concept examples are available:

http://www.example.com/base/base_graph_main.php?back="><script>alert("780")</script><"

http://www.example.com/base/base_stat_ipaddr.php?ip=1.1.1.1&netmask="><script>alert("780")</script><"

http://www.example.com/base-snort/base_qry_alert.php?submit=<script>780</script>&sort_order=

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.commailto:vuldb@securityfocus.com

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站